# Create Topup Order

### **Request URL** <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/partner/create-topup`

### **Request Body**

&#x20;**Refer to :** [**common**](https://docs.pagsmile.com/issuing-card-api/common)

&#x20;**Biz\_data ：**

| Name                                              | Type   | Description                                                                                                             |
| ------------------------------------------------- | ------ | ----------------------------------------------------------------------------------------------------------------------- |
| order\_no<mark style="color:red;">\*</mark>       | string | Order number                                                                                                            |
| pay\_amount<mark style="color:red;">\*</mark>     | string | Amount                                                                                                                  |
| pay\_currency<mark style="color:red;">\*</mark>   | string | <p>Currency,</p><p>refer to : <a href="../../../issuing-card-api/data/dictionary-item/currency">currency</a></p>        |
| topup\_currency<mark style="color:red;">\*</mark> | string | <p>Top-up Currency,</p><p>refer to : <a href="../../../issuing-card-api/data/dictionary-item/currency">currency</a></p> |
| reference                                         | string | Reference                                                                                                               |
| payment.account\_no                               | string | Bank payer account num/IBAN                                                                                             |
| payment.bank\_name                                | string | Payer Bank Name                                                                                                         |
| payment.arrive\_date                              | string | Expected time of receipt                                                                                                |

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":{
            "order_id": 100009
        },
    "total": 1,
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

| Name      | Type | Description |
| --------- | ---- | ----------- |
| order\_id | long | Order Id    |

### Example <a href="#example" id="example"></a>

```
curl --location --request POST 'https://card-api-sandbox.pagsmile.com/issuing/partner/query-transactions' \
--header 'Content-Type: application/json' \
--data-raw '{
    "app_id": "2017051914172236111",
    "partner_id": "900000000000001",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC6",
    "sign_type": "RSA",
    "biz_data":"jJT3+PR9CSowcR2QOK5OjJT3+PR9CSowcR2QOK5O"
}'
```

Note: **201\*\*\*\*\*\*\*\*\*\*\*\*11** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.
